diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
index 5ffed4617..d938c72cd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
@@ -250,7 +250,7 @@ define('pgadmin.node.trigger', [
           group: gettext('Definition'),
           disabled: function(m) {
             // Disabled if table is a partitioned table.
-            if ((_.has(m, 'node_info') && _.has(m.node_info, 'table') &&
+            if (m.node_info.server.server_type == 'ppas' || (_.has(m, 'node_info') && _.has(m.node_info, 'table') &&
               _.has(m.node_info.table, 'is_partitioned') &&
                 m.node_info.table.is_partitioned) ||
                 _.indexOf(Object.keys(m.node_info), 'view') != -1) {
@@ -271,7 +271,7 @@ define('pgadmin.node.trigger', [
           disabled: function(m) {
             // If constraint trigger is set to True then only enable it
             var is_constraint_trigger = m.get('is_constraint_trigger');
-            if(!m.inSchemaWithModelCheck.apply(this, [m])) {
+            if(m.node_info.server.server_type != 'ppas' && !m.inSchemaWithModelCheck.apply(this, [m])) {
               if(!_.isUndefined(is_constraint_trigger) &&
                 is_constraint_trigger === true) {
                 return false;
@@ -295,7 +295,7 @@ define('pgadmin.node.trigger', [
           disabled: function(m) {
             // If Deferrable is set to True then only enable it
             var tgdeferrable = m.get('tgdeferrable');
-            if(!m.inSchemaWithModelCheck.apply(this, [m])) {
+            if(m.node_info.server.server_type != 'ppas' && !m.inSchemaWithModelCheck.apply(this, [m])) {
               if(!_.isUndefined(tgdeferrable) &&
                 tgdeferrable) {
                 return false;
